Show / Hide Table of Contents

# Interface IBan

Represents a generic ban object.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IBan

### Properties

| Improve this Doc View Source

#### Reason

Gets the reason why the user is banned if specified.

##### Declaration

    string Reason { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the reason behind the ban; `null` if none is specified.

| Improve this Doc View Source

#### User

Gets the banned user.

##### Declaration

    IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user that was banned.